Bug 14342 - Unit tests in t/db_dependent/Context.t failing due to Bug 13967
Summary: Unit tests in t/db_dependent/Context.t failing due to Bug 13967
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-05 13:58 UTC by Kyle M Hall
Modified: 2016-12-05 21:22 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14342 - Unit tests in t/db_dependent/Context.t failing due to Bug 13967 (5.06 KB, patch)
2015-06-05 14:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14342 - Unit tests in t/db_dependent/Context.t failing due to Bug 13967 (5.02 KB, patch)
2015-06-05 14:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14342 - Unit tests in t/db_dependent/Context.t failing due to Bug 13967 (5.19 KB, patch)
2015-06-05 14:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14342: Unit tests in t/db_dependent/Context.t failing due to Bug 13967 (5.26 KB, patch)
2015-06-05 14:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 14342: Unit tests in t/db_dependent/Context.t failing due to Bug 13967 (5.31 KB, patch)
2015-06-05 20:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-06-05 13:58:02 UTC
The introduction of system preference objects in bug 13967 has caused the current testing regimen to fail do to the mixing of DBI mocking and DBIx::Class.
Comment 1 Kyle M Hall 2015-06-05 14:00:04 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2015-06-05 14:02:33 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-06-05 14:08:19 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2015-06-05 14:20:58 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-06-05 20:43:31 UTC
Created attachment 39924 [details] [review]
[PASSED QA] Bug 14342: Unit tests in t/db_dependent/Context.t failing due to Bug 13967

The introduction of system preference objects in bug 13967 has caused
the current testing regimen to fail do to the mixing of DBI mocking and
DBIx::Class.

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Context.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Tomás Cohen Arazi 2015-06-07 22:01:48 UTC
Patch pushed to master.

Thanks Kyle!